#include "vidas.h"

vidas::vidas()
{
    changeAmountVidas(3);
}

vidas::~vidas()
{

}

int vidas::getVidas()
{
    return vidasRestantes;
}

void vidas::changeAmountVidas(int newVidas)
{
    vidasRestantes = newVidas;
    switch(vidasRestantes){
    case 3:{
        setPixmap(QPixmap(":/ImagenesDeProyecto/3vidas.png"));
        setPos(QPointF(-450,-300));
        break;
    }
    case 2:{
        setPixmap(QPixmap(":/ImagenesDeProyecto/2vidas.png"));
        setPos(QPointF(-450,-300));
        break;
    }
    case 1:{
        setPixmap(QPixmap(":/ImagenesDeProyecto/1vida.png"));
        setPos(QPointF(-450,-300));
        break;
    }
    case 0:{
        setOpacity(0.0);
        break;
    }
    default:{
        setOpacity(1.0);
        setPixmap(QPixmap(":/ImagenesDeProyecto/gameOver.png"));
        setPos(QPointF(-boundingRect().width()/2,-boundingRect().height()/2));
    }
    }
}
